Package org.drinkless.tdlib

# Class TdApi.UpdateNewInlineQuery

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateNewInlineQuery

Enclosing class:
  TdApi

public static class TdApi.UpdateNewInlineQuery extends TdApi.Update
A new incoming inline query; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatType`
  `chatType`
  The type of the chat from which the query originated; may be null if unknown.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `id`
  Unique query identifier.
  `String`
  `offset`
  Offset of the first entry to return.
  `String`
  `query`
  Text of the query.
  `long`
  `senderUserId`
  Identifier of the user who sent the query.
  `TdApi.Location`
  `userLocation`
  User location; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateNewInlineQuery()`
  A new incoming inline query; for bots only.
  `UpdateNewInlineQuery(long id, long senderUserId, TdApi.Location userLocation, TdApi.ChatType chatType, String query, String offset)`
  A new incoming inline query; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique query identifier.

  - ### senderUserId

    public long senderUserId
    Identifier of the user who sent the query.

  - ### userLocation

    @Nullable public TdApi.Location userLocation
    User location; may be null.

  - ### chatType

    @Nullable public TdApi.ChatType chatType
    The type of the chat from which the query originated; may be null if unknown.

  - ### query

    public String query
    Text of the query.

  - ### offset

    public String offset
    Offset of the first entry to return.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateNewInlineQuery

    public UpdateNewInlineQuery()
    A new incoming inline query; for bots only.

  - ### UpdateNewInlineQuery

    public UpdateNewInlineQuery(long id, long senderUserId, TdApi.Location userLocation, TdApi.ChatType chatType, String query, String offset)
    A new incoming inline query; for bots only.
    Parameters:
      `id` - Unique query identifier.
      `senderUserId` - Identifier of the user who sent the query.
      `userLocation` - User location; may be null.
      `chatType` - The type of the chat from which the query originated; may be null if unknown.
      `query` - Text of the query.
      `offset` - Offset of the first entry to return.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR